package com.bcxin.tenant.open.domains.events;

import com.bcxin.tenant.open.domains.entities.RollCallEmployeeEntity;
import lombok.Getter;

import java.util.Collection;

@Getter
public class ReplyRollCallEmployeeStatusEvent  extends DomainEventAbstract{
    private final Collection<RollCallEmployeeEntity> rollCallEmployees;

    public ReplyRollCallEmployeeStatusEvent(Collection<RollCallEmployeeEntity> rollCallEmployees) {
        super(rollCallEmployees);
        this.rollCallEmployees = rollCallEmployees;
    }

    public static ReplyRollCallEmployeeStatusEvent create(Collection<RollCallEmployeeEntity> rollCallEmployees) {
        ReplyRollCallEmployeeStatusEvent event = new ReplyRollCallEmployeeStatusEvent(rollCallEmployees);

        return event;
    }
}
